VelocityReport Plugin - Defect #359

printing from preview doesn't work
08/19/2011 04:21 PM - Sem Tukenmez

Status: Closed Start date: 08/19/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

Unfortunately in 1.4.15 printing from preview doesn't work.
We get a NullPointerException.

Also, you could see in the preview status bar that it states the text key "lvelocity.viewer.paginatedView!" instead of the actual text,
and tooltips on the buttons also have the keys instead of the text.

Is this related to prior problems with printing due the memory management problem of iText/PDFrenderer? We don't get an
OutOfMemory Exception, only the NullPointer Exception.

History

#1 - 08/19/2011 04:40 PM - Sem Tukenmez

This is the exception we get (when you click on Print from the preview):

Exception in thread "AWT-EventQueue-0" java.lang.NullPointerException

at sun.print.RasterPrinterJob.printDialog(Unknown Source)

at net.stuff.servoy.plugin.velocityreport.preview.Viewer.doPrint(Viewer.java:717)

at net.stuff.servoy.plugin.velocityreport.preview.Viewer.choosePrint(Viewer.java:635)
at net.stuff.servoy.plugin.velocityreport.preview.Viewer.js_print(Viewer.java:625)

at net.stuff.servoy.plugin.velocityreport.preview.PanelActions.doAction(PanelActions.java:113)
at net.stuff.servoy.plugin.velocityreport.preview.ViewerButtonListener.actionPerformed(ViewerButtonListener.java:55)
at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)

at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)

at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)

at javax.swing.DefaultButtonModel.setPressed(Unknown Source)

at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
at java.awt. AWTEventMulticaster.mouseReleased(Unknown Source)

at java.awt.Component.processMouseEvent(Unknown Source)

at javax.swing.JComponent.processMouseEvent(Unknown Source)

at java.awt.Component.processEvent(Unknown Source)

at java.awt.Container.processEvent(Unknown Source)

at java.awt.Component.dispatchEventimpl(Unknown Source)

at java.awt.Container.dispatchEventlmpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)

at java.awt.Container.dispatchEventlmpl(Unknown Source)

at java.awt.Window.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.EventQueue.dispatchEventimpl(Unknown Source)

at java.awt.EventQueue.access$000(Unknown Source)

at java.awt.EventQueue$1.run(Unknown Source)

at java.awt.EventQueue$1.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)
at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)
at java.awt.EventQueue$2.run(Unknown Source)

at java.awt.EventQueue$2.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)
at java.awt.EventQueue.dispatchEvent(Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.run(Unknown Source)

#2 - 08/20/2011 02:12 AM - Patrick Talbot

- Status changed from New to Closed

Fixed with 1.4.16
